<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use DB;

class Uploadfile extends Model{
    use HasFactory;
    protected $table = 'upload_file_master';
    
    protected $fillable = [
        'fk_branch_id',
        'file_name',
        'purpose',
        'status',
        'created_by',
        'created_at',
        'updated_by',
        'updated_at'
    ];

    public function export($slug){
        $collection = DB::table('upload_file_master')
                        ->select('fk_branch_id', 'file_name','purpose','status');

        if($slug != 'all')
            $collection->where(['status' => $slug]);
        
        $data = $collection->get();
        
        if($data->isNotEmpty()){
            return $data;
        }else{
            return null;
        }
    }
  
}
